# -*- coding: UTF-8 -*-

import ConfigParser
import logger
import os
import sys


def getValue(option, defaultValue, config):
    """
    Получить значение опции из конфигурационного файла.
    В случае ошибки вернуть значение по умолчанию
    """
    loggerSync = logger.getLogger()
    value = None
    try:
        if type(defaultValue) is int:
            value = config.getint('Info', option)
        elif type(defaultValue) is bool:
            value = config.getboolean('Info', option)
        else:
            value = config.get('Info', option)
    except (ConfigParser.NoOptionError, ConfigParser.NoSectionError):
        loggerSync.warning(u'Не найдена настройка %s. Берем значение по умолчанию: %s' % (option, defaultValue))
        value = defaultValue

    loggerSync.info(u'%s - %s' % (option.ljust(40, ' '), str(value).ljust(20, ' ')))
    return value


def rereadInfo():
    infoReader = sys.modules[__name__]
    pathInfo = os.path.normpath('%s/../properties/version.info' % sys.path[0])
    # Считывание настроек подключения sync-агента
    if os.access(pathInfo, os.F_OK):
        info = ConfigParser.RawConfigParser()
        setattr(infoReader, "info", info)
        info.read(pathInfo)
        setattr(infoReader, "package", getValue('package', None, info))
        setattr(infoReader, "version", getValue('version', None, info))
    else:
        setattr(infoReader, "package", None)
        setattr(infoReader, "version", None)


rereadInfo()
