# -*- coding: UTF-8 -*-

import artixinterchange
import bz2
import logger
import status


def main(message):
    """ Потабличная сверка данных """
    log = logger.getLogger()
    description = message.properties.get('compareDescription', '')
    compareName = message.properties.get('compareName')
    log.info(u"Получено сообщение для сверки данных <%s>: %s" % (compareName, description))
    request = message.properties.get('requestCash')
    if request is None or len(request) < 1:
        mess = 'В полученном сообщении не указан sql запрос.'
        log.error(mess)
        return status.errorLoadDict, mess
    compareResultServerId = message.properties.get('compareResultServerId')
    if compareResultServerId is None or len(compareResultServerId) < 1:
        mess = 'В полученном сообщении не указан идентификатор результата сравнения на КС.'
        log.error(mess)
        return status.errorLoadDict, mess
    compressMethod = message.properties.get('compressMethod')
    resultServer = message.content
    try:
        if compressMethod == 'BZ2' and resultServer is not None:
            resultServer = bz2.decompress(resultServer)
    except:
        log.warning("Не удалось разархивировать результат сверки данных с КС")
    
    return artixinterchange.sendCompareTableRequest(request, compareName, compareResultServerId, resultServer)
